diff --git a/src/libs/zbxdb/db.c b/src/libs/zbxdb/db.c
index a65b9c4..e011c51 100644
--- a/src/libs/zbxdb/db.c
+++ b/src/libs/zbxdb/db.c
@@ -285,7 +285,11 @@ int	zbx_db_connect(char *host, char *user, char *password, char *dbname, char *d
 #if defined(HAVE_IBM_DB2)
 	char		*connect = NULL;
 #elif defined(HAVE_MYSQL)
-	my_bool		mysql_reconnect = 1;
+#if LIBMYSQL_VERSION_ID >= 80000        /* my_bool type is removed in MySQL 8.0 */
+	bool            mysql_reconnect = 1;
+#else
+	my_bool         mysql_reconnect = 1;
+#endif
 #elif defined(HAVE_ORACLE)
 	char		*connect = NULL;
 	sword		err = OCI_SUCCESS;
